[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellListView.Create

Constructor for the class instance.

## Declaration

Source position: shellctrls.pas line 290

`public constructor TCustomShellListView.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited method using AOwner as the owner of the class instance. Create sets the default values for properties in the class instance, including:

UseBuiltInIcons
  True
ViewStyle
  vsReport view style
ObjectTypes
  [otNonFolders]
MaskCaseSensitivity
  mcsPlatformDefault
Columns
  Creates three columns for File Name, File Size, and File Type

Create calls the Resize method to adjust the widths for the Columns defined in the method.

## See also

TCustomShellListView.ObjectTypes |  | Controls which file system objects are visible on the list view control.
TCustomListView.ViewStyle |  | Sets one of ListView layouts: List (simple column), Report (few columns with full width), Icon (big icons), Small Icon (small icons, 16x16).
TCustomListView.Columns |  | Collection with the column definitions for the list view control (size, alignment, image index, etc.).